package cn.yyxx.commsdk.base.internal.feature;

import android.app.Activity;

import cn.yyxx.commsdk.base.entity.SdkChargeInfo;
import cn.yyxx.commsdk.base.internal.ICallback;

/**
 * @author #Suyghur.
 * Created on 2021/12/26
 */
public interface IFeature {

    void initialize(Activity activity, boolean isLandscape, ICallback callback);

    void login(Activity activity, ICallback callback);

    void logout(Activity activity, ICallback callback);

    void charge(Activity activity, SdkChargeInfo chargeInfo, ICallback callback);

    boolean hasExitView(Activity activity);

    void openExitView(Activity activity, ICallback callback);

    void onDestroy(Activity activity);

    String getUserId();

    String getChannelVersion();

    String getChannelName();
}
